I've ended up drawing a rhomboid, not sure if thats desired but sharing the code anyways -
; Draws rhomboid by specifying 3 points
(defun C:test ( / p1 p2 p3 p4 )
(and
(setq p1 (getpoint "\nSpecify first point: "))
(setq p2 (getpoint "\nSpecify second point: " p1))
(progn (grdraw p1 p2 1) t)
(setq p3 (getpoint "\nSpecify third point: " p2))
(progn (grdraw p2 p3 1) t)
(setq p4
(inters
p1 (mapcar '+ p1 (mapcar '- p2 p3))
p3 (mapcar '+ p3 (mapcar '- p2 p1))
nil
)
); setq p4
(entmakex
(append
'((0 . "LWPOLYLINE")(100 . "AcDbEntity")(100 . "AcDbPolyline")(90 . 4)(70 . 1))
(mapcar (function (lambda (p) (cons 10 p))) (list p1 p2 p3 p4))
)
)
)
(redraw) (princ)
); defun